-- PP_Corporations_Gameplay
-- Author: JNR
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,								Kind)
VALUES	('POLICY_JNR_DUAL_USE_TECH',		'KIND_POLICY'),
		('POLICY_JNR_QFD',					'KIND_POLICY'),
		('POLICY_JNR_FLAGSHIP_STORES',		'KIND_POLICY'),
		('POLICY_JNR_SELF_MANAGEMENT',		'KIND_POLICY'),
		('POLICY_JNR_FORCED_LABOR',			'KIND_POLICY'),
		('POLICY_JNR_JOINT_VENTURES',		'KIND_POLICY'),
		('POLICY_JNR_PHILANTHROPY',			'KIND_POLICY');

INSERT OR IGNORE INTO Types
		(Type,								Kind)
SELECT	'POLICY_JNR_TRIPLE_BOTTOM_LINE',	'KIND_POLICY'
FROM	Districts
WHERE	DistrictType='DISTRICT_PRESERVE';
--------------------------------------------------------------

-- Policies
--------------------------------------------------------------
INSERT OR IGNORE INTO Policies
		(PolicyType,						GovernmentSlotType,		PrereqCivic,				Name,	Description)
VALUES	('POLICY_JNR_DUAL_USE_TECH',		'SLOT_MILITARY',		'CIVIC_SPACE_RACE',			'LOC_POLICY_JNR_DUAL_USE_TECH_NAME',		'LOC_POLICY_JNR_DUAL_USE_TECH_DESCRIPTION'),
		('POLICY_JNR_QFD',					'SLOT_ECONOMIC',		'CIVIC_GLOBALIZATION',		'LOC_POLICY_JNR_QFD_NAME',					'LOC_POLICY_JNR_QFD_DESCRIPTION'),
		('POLICY_JNR_FLAGSHIP_STORES',		'SLOT_ECONOMIC',		'CIVIC_SOCIAL_MEDIA',		'LOC_POLICY_JNR_FLAGSHIP_STORES_NAME',		'LOC_POLICY_JNR_FLAGSHIP_STORES_DESCRIPTION'),
		('POLICY_JNR_SELF_MANAGEMENT',		'SLOT_ECONOMIC',		'CIVIC_COLD_WAR',			'LOC_POLICY_JNR_SELF_MANAGEMENT_NAME',		'LOC_POLICY_JNR_SELF_MANAGEMENT_DESCRIPTION'),
		('POLICY_JNR_FORCED_LABOR',			'SLOT_ECONOMIC',		'CIVIC_TOTALITARIANISM',	'LOC_POLICY_JNR_FORCED_LABOR_NAME',			'LOC_POLICY_JNR_FORCED_LABOR_DESCRIPTION'),
		('POLICY_JNR_JOINT_VENTURES',		'SLOT_DIPLOMATIC',		'CIVIC_GLOBALIZATION',		'LOC_POLICY_JNR_JOINT_VENTURES_NAME',		'LOC_POLICY_JNR_JOINT_VENTURES_DESCRIPTION'),
		('POLICY_JNR_PHILANTHROPY',			'SLOT_GREAT_PERSON',	'CIVIC_CULTURAL_HERITAGE',	'LOC_POLICY_JNR_PHILANTHROPY_NAME',			'LOC_POLICY_JNR_PHILANTHROPY_DESCRIPTION');

INSERT OR IGNORE INTO Policies
		(PolicyType,						GovernmentSlotType,		PrereqCivic,				Name,	Description)
SELECT	'POLICY_JNR_TRIPLE_BOTTOM_LINE',	'SLOT_GREAT_PERSON',	'CIVIC_ENVIRONMENTALISM',	'LOC_POLICY_JNR_TRIPLE_BOTTOM_LINE_NAME',	'LOC_POLICY_JNR_TRIPLE_BOTTOM_LINE_DESCRIPTION'
FROM	Types
WHERE	Type='POLICY_JNR_TRIPLE_BOTTOM_LINE';

UPDATE Policies SET PrereqCivic='CIVIC_CLASS_STRUGGLE' WHERE PolicyType='POLICY_THIRD_ALTERNATIVE';
--------------------------------------------------------------

-- Policy_GovernmentExclusives_XP2
--------------------------------------------------------------
INSERT OR IGNORE INTO Policy_GovernmentExclusives_XP2
		(PolicyType,					GovernmentType)
VALUES	('POLICY_JNR_FLAGSHIP_STORES',	'GOVERNMENT_DEMOCRACY'),
		('POLICY_JNR_SELF_MANAGEMENT',	'GOVERNMENT_COMMUNISM'),
		('POLICY_JNR_FORCED_LABOR',		'GOVERNMENT_FASCISM');
--------------------------------------------------------------

-- Requirements
--------------------------------------------------------------
INSERT OR IGNORE INTO Requirements
		(RequirementId,										RequirementType)
VALUES	('REQUIRES_PLOT_HAS_INDUSTRY_JNR',					'REQUIREMENT_PLOT_IMPROVEMENT_TYPE_MATCHES'),
		('REQUIRES_PLOT_HAS_CORPORATION_JNR',				'REQUIREMENT_PLOT_IMPROVEMENT_TYPE_MATCHES'),
		('REQUIRES_PLOT_WITHIN_3_OF_CORPORATION_JNR',		'REQUIREMENT_PLOT_ADJACENT_IMPROVEMENT_TYPE_MATCHES'),
		('REQUIRES_DISTRICT_ADJACENT_TO_INDUSTRY_JNR',		'REQUIREMENT_PLOT_ADJACENT_IMPROVEMENT_TYPE_MATCHES'),
		('REQUIRES_DISTRICT_ADJACENT_TO_CORPORATION_JNR',	'REQUIREMENT_PLOT_ADJACENT_IMPROVEMENT_TYPE_MATCHES');

INSERT OR IGNORE INTO Requirements
		(RequirementId,										RequirementType)
SELECT	'REQUIRES_CITY_HAS_GROVE_JNR',						'REQUIREMENT_CITY_HAS_BUILDING'
FROM	Buildings
WHERE	BuildingType='BUILDING_GROVE';

INSERT OR IGNORE INTO Requirements
		(RequirementId,										RequirementType)
SELECT	'REQUIRES_CITY_HAS_SANCTUARY_JNR',					'REQUIREMENT_CITY_HAS_BUILDING'
FROM	Buildings
WHERE	BuildingType='BUILDING_SANCTUARY';

INSERT OR IGNORE INTO Requirements
		(RequirementId,										RequirementType)
SELECT	'REQUIRES_CITY_HAS_PRESERVE_TIER1_JNR',				'REQUIREMENT_REQUIREMENTSET_IS_MET'
FROM	Buildings
WHERE	BuildingType='BUILDING_GROVE';

INSERT OR IGNORE INTO Requirements
		(RequirementId,										RequirementType)
SELECT	'REQUIRES_CITY_HAS_PRESERVE_TIER2_JNR',				'REQUIREMENT_REQUIREMENTSET_IS_MET'
FROM	Buildings
WHERE	BuildingType='BUILDING_SANCTUARY';
--------------------------------------------------------------

-- RequirementArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,										Name,				Value)
VALUES	('REQUIRES_PLOT_HAS_INDUSTRY_JNR',					'ImprovementType',	'IMPROVEMENT_INDUSTRY'),
		('REQUIRES_PLOT_HAS_CORPORATION_JNR',				'ImprovementType',	'IMPROVEMENT_CORPORATION'),
		('REQUIRES_PLOT_WITHIN_3_OF_CORPORATION_JNR',		'ImprovementType',	'IMPROVEMENT_CORPORATION'),
		('REQUIRES_PLOT_WITHIN_3_OF_CORPORATION_JNR',		'MaxRange',			3),
		('REQUIRES_DISTRICT_ADJACENT_TO_INDUSTRY_JNR',		'ImprovementType',	'IMPROVEMENT_INDUSTRY'),
		('REQUIRES_DISTRICT_ADJACENT_TO_CORPORATION_JNR',	'ImprovementType',	'IMPROVEMENT_CORPORATION');

INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,										Name,				Value)
SELECT	'REQUIRES_CITY_HAS_GROVE_JNR',						'BuildingType',		BuildingType
FROM	Buildings
WHERE	BuildingType='BUILDING_GROVE';

INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,										Name,				Value)
SELECT	'REQUIRES_CITY_HAS_SANCTUARY_JNR',					'BuildingType',		BuildingType
FROM	Buildings
WHERE	BuildingType='BUILDING_SANCTUARY';

INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,										Name,				Value)
SELECT	'REQUIRES_CITY_HAS_PRESERVE_TIER1_JNR',				'RequirementSetId',	'BUILDING_IS_PRESERVE_TIER1_JNR'
FROM	Buildings
WHERE	BuildingType='BUILDING_GROVE';

INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,										Name,				Value)
SELECT	'REQUIRES_CITY_HAS_PRESERVE_TIER2_JNR',				'RequirementSetId',	'BUILDING_IS_PRESERVE_TIER2_JNR'
FROM	Buildings
WHERE	BuildingType='BUILDING_SANCTUARY';
--------------------------------------------------------------

-- RequirementSets
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,											RequirementSetType)
VALUES	('PLOT_HAS_INDUSTRY_JNR',									'REQUIREMENTSET_TEST_ALL'),
		('PLOT_HAS_CORPORATION_JNR',								'REQUIREMENTSET_TEST_ALL'),
		
		('CITY_WITHIN_3_OF_CORPORATION_JNR',						'REQUIREMENTSET_TEST_ALL'),
		
		('DISTRICT_IS_ENCAMPMENT_ADJACENT_TO_INDUSTRY_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_HARBOR_ADJACENT_TO_INDUSTRY_JNR',				'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_INDUSTRIAL_ZONE_ADJACENT_TO_INDUSTRY_JNR',	'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_COMMERCIAL_HUB_ADJACENT_TO_INDUSTRY_JNR',		'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_CAMPUS_ADJACENT_TO_INDUSTRY_JNR',				'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_HOLY_SITE_ADJACENT_TO_INDUSTRY_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_THEATER_ADJACENT_TO_INDUSTRY_JNR',			'REQUIREMENTSET_TEST_ALL'),

		('DISTRICT_IS_ENCAMPMENT_ADJACENT_TO_CORPORATION_JNR',		'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_HARBOR_ADJACENT_TO_CORPORATION_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_INDUSTRIAL_ZONE_ADJACENT_TO_CORPORATION_JNR',	'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_COMMERCIAL_HUB_ADJACENT_TO_CORPORATION_JNR',	'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_CAMPUS_ADJACENT_TO_CORPORATION_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_HOLY_SITE_ADJACENT_TO_CORPORATION_JNR',		'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_THEATER_ADJACENT_TO_CORPORATION_JNR',			'REQUIREMENTSET_TEST_ALL'),

		('CITY_HAS_GROVE_AND_WITHIN_3_OF_CORPORATION_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('CITY_HAS_SANCTUARY_AND_WITHIN_3_OF_CORPORATION_JNR',		'REQUIREMENTSET_TEST_ALL');

INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,											RequirementSetType)
SELECT	'BUILDING_IS_PRESERVE_TIER1_JNR',							'REQUIREMENTSET_TEST_ANY'
FROM	Requirements
WHERE	RequirementId='REQUIRES_CITY_HAS_GROVE_JNR';

INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,											RequirementSetType)
SELECT	'BUILDING_IS_PRESERVE_TIER2_JNR',							'REQUIREMENTSET_TEST_ANY'
FROM	Requirements
WHERE	RequirementId='REQUIRES_CITY_HAS_SANCTUARY_JNR';
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,											RequirementId)
VALUES	('PLOT_HAS_INDUSTRY_JNR',									'REQUIRES_PLOT_HAS_INDUSTRY_JNR'),
		('PLOT_HAS_CORPORATION_JNR',								'REQUIRES_PLOT_HAS_CORPORATION_JNR'),
		
		('CITY_WITHIN_3_OF_CORPORATION_JNR',						'REQUIRES_PLOT_WITHIN_3_OF_CORPORATION_JNR'),
		
		('DISTRICT_IS_ENCAMPMENT_ADJACENT_TO_INDUSTRY_JNR',			'REQUIRES_DISTRICT_ADJACENT_TO_INDUSTRY_JNR'),
		('DISTRICT_IS_HARBOR_ADJACENT_TO_INDUSTRY_JNR',				'REQUIRES_DISTRICT_ADJACENT_TO_INDUSTRY_JNR'),
		('DISTRICT_IS_INDUSTRIAL_ZONE_ADJACENT_TO_INDUSTRY_JNR',	'REQUIRES_DISTRICT_ADJACENT_TO_INDUSTRY_JNR'),
		('DISTRICT_IS_COMMERCIAL_HUB_ADJACENT_TO_INDUSTRY_JNR',		'REQUIRES_DISTRICT_ADJACENT_TO_INDUSTRY_JNR'),
		('DISTRICT_IS_CAMPUS_ADJACENT_TO_INDUSTRY_JNR',				'REQUIRES_DISTRICT_ADJACENT_TO_INDUSTRY_JNR'),
		('DISTRICT_IS_HOLY_SITE_ADJACENT_TO_INDUSTRY_JNR',			'REQUIRES_DISTRICT_ADJACENT_TO_INDUSTRY_JNR'),
		('DISTRICT_IS_THEATER_ADJACENT_TO_INDUSTRY_JNR',			'REQUIRES_DISTRICT_ADJACENT_TO_INDUSTRY_JNR'),

		('DISTRICT_IS_ENCAMPMENT_ADJACENT_TO_INDUSTRY_JNR',			'REQUIRES_DISTRICT_IS_ENCAMPMENT'),
		('DISTRICT_IS_HARBOR_ADJACENT_TO_INDUSTRY_JNR',				'REQUIRES_DISTRICT_IS_HARBOR'),
		('DISTRICT_IS_INDUSTRIAL_ZONE_ADJACENT_TO_INDUSTRY_JNR',	'REQUIRES_DISTRICT_IS_INDUSTRIAL_ZONE'),
		('DISTRICT_IS_COMMERCIAL_HUB_ADJACENT_TO_INDUSTRY_JNR',		'REQUIRES_DISTRICT_IS_COMMERCIAL_HUB'),
		('DISTRICT_IS_CAMPUS_ADJACENT_TO_INDUSTRY_JNR',				'REQUIRES_DISTRICT_IS_CAMPUS'),
		('DISTRICT_IS_HOLY_SITE_ADJACENT_TO_INDUSTRY_JNR',			'REQUIRES_DISTRICT_IS_HOLY_SITE'),
		('DISTRICT_IS_THEATER_ADJACENT_TO_INDUSTRY_JNR',			'REQUIRES_DISTRICT_IS_THEATER'),

		('DISTRICT_IS_ENCAMPMENT_ADJACENT_TO_CORPORATION_JNR',		'REQUIRES_DISTRICT_ADJACENT_TO_CORPORATION_JNR'),
		('DISTRICT_IS_HARBOR_ADJACENT_TO_CORPORATION_JNR',			'REQUIRES_DISTRICT_ADJACENT_TO_CORPORATION_JNR'),
		('DISTRICT_IS_INDUSTRIAL_ZONE_ADJACENT_TO_CORPORATION_JNR',	'REQUIRES_DISTRICT_ADJACENT_TO_CORPORATION_JNR'),
		('DISTRICT_IS_COMMERCIAL_HUB_ADJACENT_TO_CORPORATION_JNR',	'REQUIRES_DISTRICT_ADJACENT_TO_CORPORATION_JNR'),
		('DISTRICT_IS_CAMPUS_ADJACENT_TO_CORPORATION_JNR',			'REQUIRES_DISTRICT_ADJACENT_TO_CORPORATION_JNR'),
		('DISTRICT_IS_HOLY_SITE_ADJACENT_TO_CORPORATION_JNR',		'REQUIRES_DISTRICT_ADJACENT_TO_CORPORATION_JNR'),
		('DISTRICT_IS_THEATER_ADJACENT_TO_CORPORATION_JNR',			'REQUIRES_DISTRICT_ADJACENT_TO_CORPORATION_JNR'),

		('DISTRICT_IS_ENCAMPMENT_ADJACENT_TO_CORPORATION_JNR',		'REQUIRES_DISTRICT_IS_ENCAMPMENT'),
		('DISTRICT_IS_HARBOR_ADJACENT_TO_CORPORATION_JNR',			'REQUIRES_DISTRICT_IS_HARBOR'),
		('DISTRICT_IS_INDUSTRIAL_ZONE_ADJACENT_TO_CORPORATION_JNR',	'REQUIRES_DISTRICT_IS_INDUSTRIAL_ZONE'),
		('DISTRICT_IS_COMMERCIAL_HUB_ADJACENT_TO_CORPORATION_JNR',	'REQUIRES_DISTRICT_IS_COMMERCIAL_HUB'),
		('DISTRICT_IS_CAMPUS_ADJACENT_TO_CORPORATION_JNR',			'REQUIRES_DISTRICT_IS_CAMPUS'),
		('DISTRICT_IS_HOLY_SITE_ADJACENT_TO_CORPORATION_JNR',		'REQUIRES_DISTRICT_IS_HOLY_SITE'),
		('DISTRICT_IS_THEATER_ADJACENT_TO_CORPORATION_JNR',			'REQUIRES_DISTRICT_IS_THEATER'),

		('CITY_HAS_GROVE_AND_WITHIN_3_OF_CORPORATION_JNR',			'REQUIRES_PLOT_WITHIN_3_OF_CORPORATION_JNR'),
		('CITY_HAS_SANCTUARY_AND_WITHIN_3_OF_CORPORATION_JNR',		'REQUIRES_PLOT_WITHIN_3_OF_CORPORATION_JNR');

INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,											RequirementId)
SELECT	'BUILDING_IS_PRESERVE_TIER1_JNR',							RequirementId
FROM	Requirements
WHERE	RequirementId='REQUIRES_CITY_HAS_GROVE_JNR';

INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,											RequirementId)
SELECT	'BUILDING_IS_PRESERVE_TIER2_JNR',							RequirementId
FROM	Requirements
WHERE	RequirementId='REQUIRES_CITY_HAS_SANCTUARY_JNR';

INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,											RequirementId)
SELECT	'CITY_HAS_GROVE_AND_WITHIN_3_OF_CORPORATION_JNR',			RequirementId
FROM	Requirements
WHERE	RequirementId='REQUIRES_CITY_HAS_PRESERVE_TIER1_JNR';

INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,											RequirementId)
SELECT	'CITY_HAS_SANCTUARY_AND_WITHIN_3_OF_CORPORATION_JNR',		RequirementId
FROM	Requirements
WHERE	RequirementId='REQUIRES_CITY_HAS_PRESERVE_TIER2_JNR';
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,																		Kind)
VALUES	('MODIFIER_JNR_PLAYER_CITIES_ADJUST_TRADE_ROUTE_YIELD_FOR_INTERNATIONAL',	'KIND_MODIFIER');
--------------------------------------------------------------

-- DynamicModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO DynamicModifiers
		(ModifierType,																CollectionType,				EffectType)
VALUES	('MODIFIER_JNR_PLAYER_CITIES_ADJUST_TRADE_ROUTE_YIELD_FOR_INTERNATIONAL',	'COLLECTION_PLAYER_CITIES',	'EFFECT_ADJUST_CITY_TRADE_ROUTE_YIELD_FOR_INTERNATIONAL');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,								ModifierType)
SELECT	'JNR_DUALUSE_' || ProjectType,				'MODIFIER_PLAYER_CITIES_ADJUST_PROJECT_PRODUCTION'
FROM	Projects_MODE;

INSERT OR IGNORE INTO Modifiers
		(ModifierId,								ModifierType,																SubjectRequirementSetId)
VALUES	('JNR_QFD_FOOD',							'MODIFIER_PLAYER_CITIES_ADJUST_GREATWORK_YIELD',							NULL),
		('JNR_QFD_PRODUCTION',						'MODIFIER_PLAYER_CITIES_ADJUST_GREATWORK_YIELD',							NULL),
		('JNR_QFD_GOLD',							'MODIFIER_PLAYER_CITIES_ADJUST_GREATWORK_YIELD',							NULL),
		('JNR_QFD_SCIENCE',							'MODIFIER_PLAYER_CITIES_ADJUST_GREATWORK_YIELD',							NULL),
		('JNR_QFD_CULTURE',							'MODIFIER_PLAYER_CITIES_ADJUST_GREATWORK_YIELD',							NULL),
		('JNR_QFD_FAITH',							'MODIFIER_PLAYER_CITIES_ADJUST_GREATWORK_YIELD',							NULL),

		('JNR_FLAGSHIPSTORES_TOURISM',				'MODIFIER_PLAYER_CITIES_ADJUST_TOURISM',									NULL),

		('JNR_SELFMANAGEMENT_PRODUCTION',			'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',										'PLOT_HAS_INDUSTRY_JNR'),
		('JNR_SELFMANAGEMENT_CULTURE',				'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',										'PLOT_HAS_INDUSTRY_JNR'),

		('JNR_LABOR_CAMPS_PRODUCTION_ATTACH',		'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER',									'CITY_NOT_FOUNDED'),
		('JNR_LABOR_CAMPS_PRODUCTION',				'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',										'PLOT_HAS_CORPORATION_JNR'),

		('JNR_JOINTVENTURES_TRADE_ROUTE_SCIENCE',	'MODIFIER_JNR_PLAYER_CITIES_ADJUST_TRADE_ROUTE_YIELD_FOR_INTERNATIONAL',	'CITY_WITHIN_3_OF_CORPORATION_JNR'),

		('JNR_PHILANTHROPY_INDUSTRY_GENERAL',		'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_ENCAMPMENT_ADJACENT_TO_INDUSTRY_JNR'),
		('JNR_PHILANTHROPY_INDUSTRY_ADMIRAL',		'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_HARBOR_ADJACENT_TO_INDUSTRY_JNR'),
		('JNR_PHILANTHROPY_INDUSTRY_ENGINEER',		'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_INDUSTRIAL_ZONE_ADJACENT_TO_INDUSTRY_JNR'),
		('JNR_PHILANTHROPY_INDUSTRY_MERCHANT',		'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_COMMERCIAL_HUB_ADJACENT_TO_INDUSTRY_JNR'),
		('JNR_PHILANTHROPY_INDUSTRY_SCIENTIST',		'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_CAMPUS_ADJACENT_TO_INDUSTRY_JNR'),
		('JNR_PHILANTHROPY_INDUSTRY_PROPHET',		'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_HOLY_SITE_ADJACENT_TO_INDUSTRY_JNR'),
		('JNR_PHILANTHROPY_INDUSTRY_WRITER',		'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_THEATER_ADJACENT_TO_INDUSTRY_JNR'),
		('JNR_PHILANTHROPY_INDUSTRY_ARTIST',		'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_THEATER_ADJACENT_TO_INDUSTRY_JNR'),
		('JNR_PHILANTHROPY_INDUSTRY_MUSICIAN',		'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_THEATER_ADJACENT_TO_INDUSTRY_JNR'),
		('JNR_PHILANTHROPY_CORPORATION_GENERAL',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_ENCAMPMENT_ADJACENT_TO_CORPORATION_JNR'),
		('JNR_PHILANTHROPY_CORPORATION_ADMIRAL',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_HARBOR_ADJACENT_TO_CORPORATION_JNR'),
		('JNR_PHILANTHROPY_CORPORATION_ENGINEER',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_INDUSTRIAL_ZONE_ADJACENT_TO_CORPORATION_JNR'),
		('JNR_PHILANTHROPY_CORPORATION_MERCHANT',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_COMMERCIAL_HUB_ADJACENT_TO_CORPORATION_JNR'),
		('JNR_PHILANTHROPY_CORPORATION_SCIENTIST',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_CAMPUS_ADJACENT_TO_CORPORATION_JNR'),
		('JNR_PHILANTHROPY_CORPORATION_PROPHET',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_HOLY_SITE_ADJACENT_TO_CORPORATION_JNR'),
		('JNR_PHILANTHROPY_CORPORATION_WRITER',		'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_THEATER_ADJACENT_TO_CORPORATION_JNR'),
		('JNR_PHILANTHROPY_CORPORATION_ARTIST',		'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_THEATER_ADJACENT_TO_CORPORATION_JNR'),
		('JNR_PHILANTHROPY_CORPORATION_MUSICIAN',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_GREAT_PERSON_POINTS',						'DISTRICT_IS_THEATER_ADJACENT_TO_CORPORATION_JNR'),
		('JNR_TRIPLEBOTTOMLINE_SCIENTIST_GROVE',	'MODIFIER_PLAYER_CITIES_ADJUST_HAPPINESS_GREAT_PERSON',						'CITY_HAS_GROVE_AND_WITHIN_3_OF_CORPORATION_JNR'),
		('JNR_TRIPLEBOTTOMLINE_ENGINEER_GROVE',		'MODIFIER_PLAYER_CITIES_ADJUST_HAPPINESS_GREAT_PERSON',						'CITY_HAS_GROVE_AND_WITHIN_3_OF_CORPORATION_JNR'),
		('JNR_TRIPLEBOTTOMLINE_MERCHANT_GROVE',		'MODIFIER_PLAYER_CITIES_ADJUST_HAPPINESS_GREAT_PERSON',						'CITY_HAS_GROVE_AND_WITHIN_3_OF_CORPORATION_JNR'),
		('JNR_TRIPLEBOTTOMLINE_SCIENTIST_SNCTRY',	'MODIFIER_PLAYER_CITIES_ADJUST_HAPPINESS_GREAT_PERSON',						'CITY_HAS_SANCTUARY_AND_WITHIN_3_OF_CORPORATION_JNR'),
		('JNR_TRIPLEBOTTOMLINE_ENGINEER_SNCTRY',	'MODIFIER_PLAYER_CITIES_ADJUST_HAPPINESS_GREAT_PERSON',						'CITY_HAS_SANCTUARY_AND_WITHIN_3_OF_CORPORATION_JNR'),
		('JNR_TRIPLEBOTTOMLINE_MERCHANT_SNCTRY',	'MODIFIER_PLAYER_CITIES_ADJUST_HAPPINESS_GREAT_PERSON',						'CITY_HAS_SANCTUARY_AND_WITHIN_3_OF_CORPORATION_JNR');
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,								Name,					Value)
SELECT	'JNR_DUALUSE_' || ProjectType,				'ProjectType',			ProjectType
FROM	Projects_MODE;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,								Name,					Value)
SELECT	'JNR_DUALUSE_' || ProjectType,				'Amount',				50
FROM	Projects_MODE;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,								Name,					Value)
VALUES	('JNR_QFD_FOOD',							'GreatWorkObjectType',	'GREATWORKOBJECT_PRODUCT'),
		('JNR_QFD_FOOD',							'YieldType',			'YIELD_FOOD'),
		('JNR_QFD_FOOD',							'ScalingFactor',		300),
		('JNR_QFD_PRODUCTION',						'GreatWorkObjectType',	'GREATWORKOBJECT_PRODUCT'),
		('JNR_QFD_PRODUCTION',						'YieldType',			'YIELD_PRODUCTION'),
		('JNR_QFD_PRODUCTION',						'ScalingFactor',		300),
		('JNR_QFD_GOLD',							'GreatWorkObjectType',	'GREATWORKOBJECT_PRODUCT'),
		('JNR_QFD_GOLD',							'YieldType',			'YIELD_GOLD'),
		('JNR_QFD_GOLD',							'ScalingFactor',		300),
		('JNR_QFD_SCIENCE',							'GreatWorkObjectType',	'GREATWORKOBJECT_PRODUCT'),
		('JNR_QFD_SCIENCE',							'YieldType',			'YIELD_SCIENCE'),
		('JNR_QFD_SCIENCE',							'ScalingFactor',		300),
		('JNR_QFD_CULTURE',							'GreatWorkObjectType',	'GREATWORKOBJECT_PRODUCT'),
		('JNR_QFD_CULTURE',							'YieldType',			'YIELD_CULTURE'),
		('JNR_QFD_CULTURE',							'ScalingFactor',		300),
		('JNR_QFD_FAITH',							'GreatWorkObjectType',	'GREATWORKOBJECT_PRODUCT'),
		('JNR_QFD_FAITH',							'YieldType',			'YIELD_FAITH'),
		('JNR_QFD_FAITH',							'ScalingFactor',		300),

		('JNR_FLAGSHIPSTORES_TOURISM',				'GreatWorkObjectType',	'GREATWORKOBJECT_PRODUCT'),
		('JNR_FLAGSHIPSTORES_TOURISM',				'ScalingFactor',		1000),

		('JNR_SELFMANAGEMENT_PRODUCTION',			'YieldType',			'YIELD_PRODUCTION'),
		('JNR_SELFMANAGEMENT_PRODUCTION',			'Amount',				4),
		('JNR_SELFMANAGEMENT_CULTURE',				'YieldType',			'YIELD_CULTURE'),
		('JNR_SELFMANAGEMENT_CULTURE',				'Amount',				4),

		('JNR_LABOR_CAMPS_PRODUCTION_ATTACH',		'ModifierId',			'JNR_LABOR_CAMPS_PRODUCTION'),
		('JNR_LABOR_CAMPS_PRODUCTION',				'YieldType',			'YIELD_PRODUCTION'),
		('JNR_LABOR_CAMPS_PRODUCTION',				'Amount',				1),

		('JNR_JOINTVENTURES_TRADE_ROUTE_SCIENCE',	'YieldType',			'YIELD_SCIENCE'),
		('JNR_JOINTVENTURES_TRADE_ROUTE_SCIENCE',	'Amount',				2),

		('JNR_PHILANTHROPY_INDUSTRY_GENERAL',		'GreatPersonClassType',	'GREAT_PERSON_CLASS_GENERAL'),
		('JNR_PHILANTHROPY_INDUSTRY_GENERAL',		'Amount',				1),
		('JNR_PHILANTHROPY_INDUSTRY_ADMIRAL',		'GreatPersonClassType',	'GREAT_PERSON_CLASS_ADMIRAL'),
		('JNR_PHILANTHROPY_INDUSTRY_ADMIRAL',		'Amount',				1),
		('JNR_PHILANTHROPY_INDUSTRY_ENGINEER',		'GreatPersonClassType',	'GREAT_PERSON_CLASS_ENGINEER'),
		('JNR_PHILANTHROPY_INDUSTRY_ENGINEER',		'Amount',				1),
		('JNR_PHILANTHROPY_INDUSTRY_MERCHANT',		'GreatPersonClassType',	'GREAT_PERSON_CLASS_MERCHANT'),
		('JNR_PHILANTHROPY_INDUSTRY_MERCHANT',		'Amount',				1),
		('JNR_PHILANTHROPY_INDUSTRY_SCIENTIST',		'GreatPersonClassType',	'GREAT_PERSON_CLASS_SCIENTIST'),
		('JNR_PHILANTHROPY_INDUSTRY_SCIENTIST',		'Amount',				1),
		('JNR_PHILANTHROPY_INDUSTRY_PROPHET',		'GreatPersonClassType',	'GREAT_PERSON_CLASS_PROPHET'),
		('JNR_PHILANTHROPY_INDUSTRY_PROPHET',		'Amount',				1),
		('JNR_PHILANTHROPY_INDUSTRY_WRITER',		'GreatPersonClassType',	'GREAT_PERSON_CLASS_WRITER'),
		('JNR_PHILANTHROPY_INDUSTRY_WRITER',		'Amount',				1),
		('JNR_PHILANTHROPY_INDUSTRY_ARTIST',		'GreatPersonClassType',	'GREAT_PERSON_CLASS_ARTIST'),
		('JNR_PHILANTHROPY_INDUSTRY_ARTIST',		'Amount',				1),
		('JNR_PHILANTHROPY_INDUSTRY_MUSICIAN',		'GreatPersonClassType',	'GREAT_PERSON_CLASS_MUSICIAN'),
		('JNR_PHILANTHROPY_INDUSTRY_MUSICIAN',		'Amount',				1),
		('JNR_PHILANTHROPY_CORPORATION_GENERAL',	'GreatPersonClassType',	'GREAT_PERSON_CLASS_GENERAL'),
		('JNR_PHILANTHROPY_CORPORATION_GENERAL',	'Amount',				2),
		('JNR_PHILANTHROPY_CORPORATION_ADMIRAL',	'GreatPersonClassType',	'GREAT_PERSON_CLASS_ADMIRAL'),
		('JNR_PHILANTHROPY_CORPORATION_ADMIRAL',	'Amount',				2),
		('JNR_PHILANTHROPY_CORPORATION_ENGINEER',	'GreatPersonClassType',	'GREAT_PERSON_CLASS_ENGINEER'),
		('JNR_PHILANTHROPY_CORPORATION_ENGINEER',	'Amount',				2),
		('JNR_PHILANTHROPY_CORPORATION_MERCHANT',	'GreatPersonClassType',	'GREAT_PERSON_CLASS_MERCHANT'),
		('JNR_PHILANTHROPY_CORPORATION_MERCHANT',	'Amount',				2),
		('JNR_PHILANTHROPY_CORPORATION_SCIENTIST',	'GreatPersonClassType',	'GREAT_PERSON_CLASS_SCIENTIST'),
		('JNR_PHILANTHROPY_CORPORATION_SCIENTIST',	'Amount',				2),
		('JNR_PHILANTHROPY_CORPORATION_PROPHET',	'GreatPersonClassType',	'GREAT_PERSON_CLASS_PROPHET'),
		('JNR_PHILANTHROPY_CORPORATION_PROPHET',	'Amount',				2),
		('JNR_PHILANTHROPY_CORPORATION_WRITER',		'GreatPersonClassType',	'GREAT_PERSON_CLASS_WRITER'),
		('JNR_PHILANTHROPY_CORPORATION_WRITER',		'Amount',				2),
		('JNR_PHILANTHROPY_CORPORATION_ARTIST',		'GreatPersonClassType',	'GREAT_PERSON_CLASS_ARTIST'),
		('JNR_PHILANTHROPY_CORPORATION_ARTIST',		'Amount',				2),
		('JNR_PHILANTHROPY_CORPORATION_MUSICIAN',	'GreatPersonClassType',	'GREAT_PERSON_CLASS_MUSICIAN'),
		('JNR_PHILANTHROPY_CORPORATION_MUSICIAN',	'Amount',				2),

		('JNR_TRIPLEBOTTOMLINE_SCIENTIST_GROVE',	'Amount',				2),
		('JNR_TRIPLEBOTTOMLINE_SCIENTIST_GROVE',	'GreatPersonClassType',	'GREAT_PERSON_CLASS_SCIENTIST'),
		('JNR_TRIPLEBOTTOMLINE_SCIENTIST_GROVE',	'HappinessType',		'HAPPINESS_ECSTATIC'),
		('JNR_TRIPLEBOTTOMLINE_ENGINEER_GROVE',		'Amount',				2),
		('JNR_TRIPLEBOTTOMLINE_ENGINEER_GROVE',		'GreatPersonClassType',	'GREAT_PERSON_CLASS_ENGINEER'),
		('JNR_TRIPLEBOTTOMLINE_ENGINEER_GROVE',		'HappinessType',		'HAPPINESS_ECSTATIC'),
		('JNR_TRIPLEBOTTOMLINE_MERCHANT_GROVE',		'Amount',				2),
		('JNR_TRIPLEBOTTOMLINE_MERCHANT_GROVE',		'GreatPersonClassType',	'GREAT_PERSON_CLASS_MERCHANT'),
		('JNR_TRIPLEBOTTOMLINE_MERCHANT_GROVE',		'HappinessType',		'HAPPINESS_ECSTATIC'),
		('JNR_TRIPLEBOTTOMLINE_SCIENTIST_SNCTRY',	'Amount',				2),
		('JNR_TRIPLEBOTTOMLINE_SCIENTIST_SNCTRY',	'GreatPersonClassType',	'GREAT_PERSON_CLASS_SCIENTIST'),
		('JNR_TRIPLEBOTTOMLINE_SCIENTIST_SNCTRY',	'HappinessType',		'HAPPINESS_ECSTATIC'),
		('JNR_TRIPLEBOTTOMLINE_ENGINEER_SNCTRY',	'Amount',				2),
		('JNR_TRIPLEBOTTOMLINE_ENGINEER_SNCTRY',	'GreatPersonClassType',	'GREAT_PERSON_CLASS_ENGINEER'),
		('JNR_TRIPLEBOTTOMLINE_ENGINEER_SNCTRY',	'HappinessType',		'HAPPINESS_ECSTATIC'),
		('JNR_TRIPLEBOTTOMLINE_MERCHANT_SNCTRY',	'Amount',				2),
		('JNR_TRIPLEBOTTOMLINE_MERCHANT_SNCTRY',	'GreatPersonClassType',	'GREAT_PERSON_CLASS_MERCHANT'),
		('JNR_TRIPLEBOTTOMLINE_MERCHANT_SNCTRY',	'HappinessType',		'HAPPINESS_ECSTATIC');
--------------------------------------------------------------

-- PolicyModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO PolicyModifiers
		(ModifierId,								PolicyType)
SELECT	'JNR_DUALUSE_' || ProjectType,				'POLICY_JNR_DUAL_USE_TECH'
FROM	Projects_MODE;

INSERT OR IGNORE INTO PolicyModifiers
		(ModifierId,								PolicyType)
VALUES	('JNR_QFD_FOOD',							'POLICY_JNR_QFD'),
		('JNR_QFD_PRODUCTION',						'POLICY_JNR_QFD'),
		('JNR_QFD_GOLD',							'POLICY_JNR_QFD'),
		('JNR_QFD_SCIENCE',							'POLICY_JNR_QFD'),
		('JNR_QFD_CULTURE',							'POLICY_JNR_QFD'),
		('JNR_QFD_FAITH',							'POLICY_JNR_QFD'),

		('JNR_FLAGSHIPSTORES_TOURISM',				'POLICY_JNR_FLAGSHIP_STORES'),

		('JNR_SELFMANAGEMENT_PRODUCTION',			'POLICY_JNR_SELF_MANAGEMENT'),
		('JNR_SELFMANAGEMENT_CULTURE',				'POLICY_JNR_SELF_MANAGEMENT'),

		('JNR_LABOR_CAMPS_PRODUCTION_ATTACH',		'POLICY_JNR_FORCED_LABOR'),

		('JNR_JOINTVENTURES_TRADE_ROUTE_SCIENCE',	'POLICY_JNR_JOINT_VENTURES'),

		('JNR_PHILANTHROPY_INDUSTRY_GENERAL',		'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_INDUSTRY_ADMIRAL',		'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_INDUSTRY_ENGINEER',		'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_INDUSTRY_MERCHANT',		'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_INDUSTRY_SCIENTIST',		'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_INDUSTRY_PROPHET',		'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_INDUSTRY_WRITER',		'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_INDUSTRY_ARTIST',		'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_INDUSTRY_MUSICIAN',		'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_CORPORATION_GENERAL',	'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_CORPORATION_ADMIRAL',	'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_CORPORATION_ENGINEER',	'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_CORPORATION_MERCHANT',	'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_CORPORATION_SCIENTIST',	'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_CORPORATION_PROPHET',	'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_CORPORATION_WRITER',		'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_CORPORATION_ARTIST',		'POLICY_JNR_PHILANTHROPY'),
		('JNR_PHILANTHROPY_CORPORATION_MUSICIAN',	'POLICY_JNR_PHILANTHROPY');

INSERT OR IGNORE INTO PolicyModifiers
		(ModifierId,								PolicyType)
SELECT	'JNR_TRIPLEBOTTOMLINE_SCIENTIST_GROVE',		Type
FROM	Types
WHERE	Type='POLICY_JNR_TRIPLE_BOTTOM_LINE';

INSERT OR IGNORE INTO PolicyModifiers
		(ModifierId,								PolicyType)
SELECT	'JNR_TRIPLEBOTTOMLINE_ENGINEER_GROVE',		Type
FROM	Types
WHERE	Type='POLICY_JNR_TRIPLE_BOTTOM_LINE';

INSERT OR IGNORE INTO PolicyModifiers
		(ModifierId,								PolicyType)
SELECT	'JNR_TRIPLEBOTTOMLINE_MERCHANT_GROVE',		Type
FROM	Types
WHERE	Type='POLICY_JNR_TRIPLE_BOTTOM_LINE';

INSERT OR IGNORE INTO PolicyModifiers
		(ModifierId,								PolicyType)
SELECT	'JNR_TRIPLEBOTTOMLINE_SCIENTIST_SNCTRY',	Type
FROM	Types
WHERE	Type='POLICY_JNR_TRIPLE_BOTTOM_LINE';

INSERT OR IGNORE INTO PolicyModifiers
		(ModifierId,								PolicyType)
SELECT	'JNR_TRIPLEBOTTOMLINE_ENGINEER_SNCTRY',		Type
FROM	Types
WHERE	Type='POLICY_JNR_TRIPLE_BOTTOM_LINE';

INSERT OR IGNORE INTO PolicyModifiers
		(ModifierId,								PolicyType)
SELECT	'JNR_TRIPLEBOTTOMLINE_MERCHANT_SNCTRY',		Type
FROM	Types
WHERE	Type='POLICY_JNR_TRIPLE_BOTTOM_LINE';
--------------------------------------------------------------